Generate E-Way bill

This API is used to generate the e-waybill. The details and parameters of the requests and responses are explained.

Important Links

Run in Postman

Body Params

JSON corresponding to the "Data" element below

{
  "supplyType":"O",
  "subSupplyType":"1",
  "subSupplyDesc":"",
  "docType":"INV",
  "docNo":"7001-8",
  "docDate":"15/12/2017",
  "fromGstin":"29AKLPM8755F1Z2",
  "fromTrdName":"welton",
  "fromAddr1":"2ND CROSS NO 59  19  A",
  "fromAddr2":"GROUND FLOOR OSBORNE ROAD",
  "fromPlace":"FRAZER TOWN",
  "fromPincode":560090,
  "actFromStateCode":29,
  "fromStateCode":29,
  "toGstin":"02EHFPS5910D2Z0",
  "toTrdName":"sthuthya",
  "toAddr1":"Shree Nilaya",
  "toAddr2":"Dasarahosahalli",
  "toPlace":"Beml Nagar",
  "toPincode":560090,
  "actToStateCode":29,
  "toStateCode":27,
  "transactionType":4,
  "otherValue":"-100",
  "totalValue":56099,
  "cgstValue":0,
  "sgstValue":0,
  "igstValue":300.67,
  "cessValue":400.56,
  "cessNonAdvolValue":400,
  "totInvValue":68358,
  "transporterId":"",
  "transporterName":"",
  "transDocNo":"",
  "transMode":"1",
  "transDistance":"100",
  "transDocDate":"",
  "vehicleNo":"PVC1234",
  "vehicleType":"R",
  "itemList":
    [{
      "productName":"Wheat",
      "productDesc":"Wheat",
      "hsnCode":1001,
      "quantity":4,
      "qtyUnit":"BOX",
      "cgstRate":0,
      "sgstRate":0,
      "igstRate":3,
      "cessRate":3,
      "cessNonadvol":0,
      "taxableAmount":5609889
    }]
}
string
required

Action type

string
required

Encrypted E-way bill JSON string - Encrypt (Base64(Request JSON),sek)

Headers
string
required

GSTIN of Requester (Tax payer or Transporter)

string
required

Username of Tax payer

string
required

Authentication token returned by the E-way bill system

Responses

405

Method not allowed

500

Internal Server Error

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json